name: pim_flutter_app
description: Pim

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  bubble_bottom_bar: ^1.2.0
  flutter_svg:


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2
  http: 0.12.2
  shared_preferences: 0.5.12+4
  image_picker: ^0.6.3+4
  rflutter_alert: ^2.0.2

dev_dependencies:
  flutter_test:
    sdk: flutter

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/icons/
    - assets/user.png
    - assets/images/NoFakeNewsLogo.png
    - assets/images/news.jpg
    - assets/images/
    - assets/img/app.png
    - assets/
    - asset/
    - asset/img/
    - assets/images/categories/
  # - images/a_dot_burr.jpeg
  # - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  fonts:
    - family: Times
      fonts:
        - asset: assets/fonts/times_news_roman/Times New Roman 400.ttf
          weight: 400
        - asset: assets/fonts/times_news_roman/Times New Roman Gras 700.ttf
          weight: 700
    - family: Avenir
      fonts:
        - asset: assets/fonts/avenir/AvenirNextLTPro-Regular.otf
          weight: 400
        - asset: assets/fonts/avenir/AvenirNextLTPro-Demi.otf
          weight: 500
        - asset: assets/fonts/avenir/AvenirNextLTPro-Demi.otf
          weight: 600
        - asset: assets/fonts/avenir/avenir-next-lt-pro-bold.otf
          weight: 700
    - family: League
      fonts:
        - asset: assets/fonts/league_spartan/LeagueSpartan-Bold.otf
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
